Doomsday Engine - Bug #851

Incorrect blast damage calculation
2010-01-11 13:54 - gobhuo

Status: Closed Start date: 2010-01-11
Priority: Normal % Done: 100%
Assignee: danij

Category:

Target version:

Description

Blast damage is calculated incorrectly.

Test case:

Fire a rocket against a wall. It should do 127-128 damage, as in vanilla Doom and PrBoom+. In Doomsday, however, it does 112-113
damage.

Labels: jDoom Gameplay

History

#1 - 2010-01-11 14:32 - gobhuo

| use Doomsday 1.9 beta 6.8 (fresh installation), addons disabled.

#2 - 2010-01-12 18:28 - danij

This is due to the fact the damage calculation was changed to incorporate the distance along the world up axis. However, as the rockets are fired
from the player's position plus height/2 this means there is additional distance factored into the calculation.

Fixed for 1.9.0-beta6.9 by changing the distance calculation so that the z damage point is the base plus height/2 thereby removing the additional
distance when both are equal on the world up axis.

Note that if you want to retain the exact original behaviour you can do so via the console:
server-game-radiusattack-nomaxz 1

#3 - 2010-02-27 21:22 - danij

Which version of Doomsday are you using?
